Subject: Re: change the way e1000 is handling short VLAN frames

From: jamal <[email-masked]>
Date: Fri, 21 Sep 2007 17:36:25 -0400

On Fri, 2007-21-09 at 14:27 -0700, Chris Leech wrote:

> 
> Inserting the VLAN tag in software will not change the behavior in the
> way you want anyway, short frames will still be padded to 64 bytes.
> You'd have to do short packet padding in software to 68 bytes.  Or do
> software padding to 64 bytes and let the hardware insert the VLAN tag
> after.

I like the second one because it could be done totaly in the driver and
would resolve the problem IMO. All we need after is an ethtool knob to
select between 64B or 68B txmit.

cheers,
jamal